# Class CommonPumpTypes

Namespace
  adas_core.Domain.Models.Pumps

Assembly
  adas-core.Domain.dll

Serves as an abstract base class for representing common pump types. Provides a shared foundation for derived classes that define specific pump categorizations.

    public abstract class CommonPumpTypes

Inheritance
  object
  CommonPumpTypes

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)